.\"#############################################################################
.\"$Id: ipmidetect.8.pre.in,v 1.17 2010-06-30 21:56:36 chu11 Exp $
.\"#############################################################################
.\"  Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.\"  Copyright (C) 2007 The Regents of the University of California.
.\"  Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER).
.\"  Written by Albert Chu <chu11@llnl.gov>
.\"  UCRL-CODE-228523
.\"
.\"  This file is part of Ipmidetect, tools and libraries for detecting
.\"  IPMI nodes in a cluster. For details, see http://www.llnl.gov/linux/.
.\"
.\"  Ipmidetect is free software; you can redistribute it and/or modify it under
.\"  the terms of the GNU General Public License as published by the Free
.\"  Software Foundation; either version 3 of the License, or (at your option)
.\"  any later version.
.\"
.\"  Ipmidetect is distributed in the hope that it will be useful, but WITHOUT
.\"  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
.\"  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
.\"  for more details.
.\"
.\"  You should have received a copy of the GNU General Public License along
.\"  with Ipmidetect.  If not, see <http://www.gnu.org/licenses/>.
.\"############################################################################
.TH Ipmidetect 8 "2012-06-28" "Ipmidetect 1.1.6" "Ipmidetect"
.SH "NAME"
ipmidetect \- list detected and/or undetected IPMI interfaces in a cluster
.SH "SYNOPSIS"
.B ipmidetect
[\fIOPTION\fR...] [\fINODES\fR...]
.br
.SH "DESCRIPTION"
.B ipmidetect
lists which IPMI nodes have been detected or undetected in a cluster.
This information is provided by the
.B libipmidetect(3)
library
and
.B ipmidetectd(8)
daemon.
.LP
.B ipmidetect
will output the status of each IPMI node configured with
.B ipmidetectd(8)
unless they are specified on the command line. If the first node
listed is "-", nodes will be read in from standard input. The nodes
can be listed in hostrange format, comma separated lists, or space
separated lists. See the section below on HOSTRANGED SUPPORT for
instructions on how to list hosts in range format. The hostnames
listed must be the shortened names of hostnames.

.SH "OPTIONS"
.TP
\fB\-h\fR, \fB\-\-help\fR
Print help and exit
.TP
\fB\-v\fR, \fB\-\-version\fR
Print version and exit
.TP
\fB\-o\fR \fISTRING\fR, \fB\-\-hostname\fR=\fISTRING\fR
server hostname (default=localhost)
.TP
\fB\-p\fR \fIINT\fR, \fB\-\-port\fR=\fIINT\fR
server port (default=8649)
.TP
\fB\-d\fR, \fB\-\-detected\fR
List only detected nodes
.TP
\fB\-u\fR, \fB\-\-undetected\fR
List only undetected nodes
.TP
\fB\-q\fR, \fB\-\-hostrange\fR
List nodes in hostrange format (default)
.TP
\fB\-c\fR, \fB\-\-comma\fR
List nodes in comma separated list
.TP
\fB\-n\fR, \fB\-\-newline\fR
List nodes in newline separated list
.TP
\fB\-s\fR, \fB\-\-space\fR
List nodes in space separated list
.LP
.SH "HOSTRANGED SUPPORT"
Multiple hosts can be input either as an explicit comma separated
lists of hosts or a range of hostnames in the general form:
prefix[n-m,l-k,...], where n < m and l < k, etc. The later form
should not be confused with regular expression character classes (also
denoted by []). For example, foo[19] does not represent foo1 or foo9,
but rather represents a degenerate range: foo19.
.LP
This range syntax is meant only as a convenience on clusters with a
prefixNN naming convention and specification of ranges should not be
considered necessary -- the list foo1,foo9 could be specified as such,
or by the range foo[1,9].
.LP
Some examples of range usage follow:
.nf
    foo[01-05] instead of foo01,foo02,foo03,foo04,foo05
    foo[7,9-10] instead of foo7,foo9,foo10
    foo[0-3] instead of foo0,foo1,foo2,foo3
.fi
.LP
As a reminder to the reader, some shells will interpret brackets ([
and ]) for pattern matching. Depending on your shell, it may be
necessary to enclose ranged lists within quotes.
.SH "REPORTING BUGS"
Report bugs to <freeipmi\-users@gnu.org> or <freeipmi\-devel@gnu.org>.
.SH COPYRIGHT
Copyright (C) 2007-2012 Lawrence Livermore National Security, LLC.
.br
Copyright (C) 2007 The Regents of the University of California.
.PP
This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3 of the License, or (at
your option) any later version.
.SH "SEE ALSO"
libipmidetect(3), ipmidetect.conf(5), ipmidetectd(8)
.PP
http://www.gnu.org/software/freeipmi/
